scala.util.control.TailCalls

# TailRec

#### abstract class TailRec[+A] extends AnyRef

This class represents a tailcalling computation

Source
  TailCalls.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Call, Cont, Done
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TailRec
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TailRec()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TailRec[A] to any2stringadd[TailRec[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TailRec[A], B)

   Implicit information
     This member is added by an implicit conversion from TailRec[A] to ArrowAssoc[TailRec[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (TailRec[A]) ⇒ Boolean, msg: ⇒ Any): TailRec[A]

   Implicit information
     This member is added by an implicit conversion from TailRec[A] to Ensuring[TailRec[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (TailRec[A]) ⇒ Boolean): TailRec[A]

   Implicit information
     This member is added by an implicit conversion from TailRec[A] to Ensuring[TailRec[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): TailRec[A]

    Implicit information
      This member is added by an implicit conversion from TailRec[A] to Ensuring[TailRec[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): TailRec[A]

    Implicit information
      This member is added by an implicit conversion from TailRec[A] to Ensuring[TailRec[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def flatMap[B](f: (A) ⇒ TailRec[B]): TailRec[B]

    Continue the computation with `f` and merge the trampolining of this computation with that of `f`.

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from TailRec[A] to StringFormat[TailRec[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def map[B](f: (A) ⇒ B): TailRec[B]

    Continue the computation with `f`.

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### final def result: A

    Returns the result of the tailcalling computation.

    Returns the result of the tailcalling computation.

    Annotations
      @tailrec()

25. #### final def resume: scala.Either[() ⇒ TailRec[A], A]

    Returns either the next step of the tailcalling computation, or the result if there are no more steps.

    Returns either the next step of the tailcalling computation, or the result if there are no more steps.

    Annotations
      @tailrec()

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (TailRec[A], B)

    Implicit information
      This member is added by an implicit conversion from TailRec[A] to ArrowAssoc[TailRec[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TailRec[A] to any2stringadd[TailRec[A]]

### Inherited by implicit conversion StringFormat from TailRec[A] to StringFormat[TailRec[A]]

### Inherited by implicit conversion Ensuring from TailRec[A] to Ensuring[TailRec[A]]

### Inherited by implicit conversion ArrowAssoc from TailRec[A] to ArrowAssoc[TailRec[A]]

### Ungrouped